Ovf Manager Get Ovf Export Option
Returns an array of *OvfOptionInfo* object that specifies what options the server
support for exporting an OVF descriptor.
Returns an array of OvfOptionInfo object that specifies what options the server support for exporting an OVF descriptor.
Required privileges: System.View
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/OvfManager/{moId}/ovfExportOption
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case OvfManager/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
An instance of OvfOptionInfo
[
{
"_typeName": "string",
"option": "string",
"description": {
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
}
]
array of
object
Represents the OVF options the server support for import and export of OVFs
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/OvfManager/{moId}/ovfExportOption